	using System;
	using System.ComponentModel;
	using System.Web.UI;
	using System.IO;

	namespace SK.MemberWeb.Controls
	{
		[ToolboxDataAttribute("<{0}:Title runat=server></{0}:Title>")]
		[DefaultPropertyAttribute("Content")]
		public class Title : Control
		{

			[BindableAttribute(true)]
			[DefaultValueAttribute("±êÌâ")]
			[DescriptionAttribute("TitleÖµ")]
			[CategoryAttribute("Behavior")]
			public string Value
			{
				get
				{
				
					if (base.ViewState["Value"]==null)
					{
						return String.Empty;
					}
					else
					{
						return base.ViewState["Value"].ToString();
					}
				}

				set
				{
					base.ViewState["Value"] = value;
				}
			}
			protected override void Render(HtmlTextWriter output)
			{
				//string str = Content;
				/*if (Content.Length == 0)
				{
					throw new InvalidProgramException("The name property of the meta tag must be set.");
				}*/

				//output.AddAttribute("content", Content);
				output.RenderBeginTag(HtmlTextWriterTag.Title);
				TextWriter innerTextWriter = output.InnerWriter;
				innerTextWriter.Write(Value);
				output.RenderEndTag();
			}

			protected override ControlCollection CreateControlCollection()
			{
				return new EmptyControlCollection(this);
			}
		}
	}
